aboutsummaryrefslogtreecommitdiff
path: root/utils/google_ip_addresses_download.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/google_ip_addresses_download.sh')
-rwxr-xr-xutils/google_ip_addresses_download.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/utils/google_ip_addresses_download.sh b/utils/google_ip_addresses_download.sh
index 9560ef3c9..efb8ee043 100755
--- a/utils/google_ip_addresses_download.sh
+++ b/utils/google_ip_addresses_download.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+set -e
+
cd "$(dirname "${0}")" || return
DEST=../src/lib/ndpi_google_match.c.inc
@@ -15,3 +17,4 @@ python3 google.py > $LIST
#rm -f $TMP $LIST
echo "(3) Google IPs are available in $DEST"
+return 0